Commit 84cb68ed authored by Francesco Colista's avatar Francesco Colista

testing/kitty: upgrade to 0.15.0

parent c6387edb
# Contributor: Francesco Colista <fcolista@alpinelinux.org>
# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
pkgname=kitty
pkgver=0.14.6
pkgrel=1
pkgver=0.15.0
pkgrel=0
pkgdesc="A modern, hackable, featureful, OpenGL based terminal emulator"
url="https://sw.kovidgoyal.net/kitty/"
arch="all"
......@@ -22,6 +22,7 @@ makedepends="py3-setuptools harfbuzz-dev zlib-dev libpng-dev freetype-dev
subpackages="$pkgname-doc"
source="$pkgname-$pkgver.tar.gz::https://github.com/kovidgoyal/kitty/archive/v$pkgver.tar.gz
fix-ppc64le-build-ioctl-with-musl.patch
clock-gettime-musl-fix.patch
"
build() {
......@@ -36,5 +37,6 @@ package() {
python3 setup.py linux-package --prefix "$pkgdir/usr"
}
sha512sums="0949db2daf0e1cd6e725a8d242fc43f15108964b2acdcf9e307168db99e44cffc339b6c98f3f571d54a8aa3f019442f76b9c4dd6553c715eeeef92057ff84006 kitty-0.14.6.tar.gz
330f56f5fd60607c57f4f2cffdf33768b3af9e4c3e271a60a05cc3c653d70f7402af91ba0cdfe0257c8b4779884a6440eb52496078bce11799aaa1829ced9245 fix-ppc64le-build-ioctl-with-musl.patch"
sha512sums="cbaafb4806b882202141bf823f07afa5b7b88844c2aa2d7d321844b309cea258659eff751b232a346b27629dd85822d7b8ce78e8c87a8467b23f8d088dfa2c46 kitty-0.15.0.tar.gz
330f56f5fd60607c57f4f2cffdf33768b3af9e4c3e271a60a05cc3c653d70f7402af91ba0cdfe0257c8b4779884a6440eb52496078bce11799aaa1829ced9245 fix-ppc64le-build-ioctl-with-musl.patch
ae51cd508fd1225dbfb802dbc9c33127146f38022614a67da9ef744fa990eb1c0a954c1e447163849b7a0f4cc71705554723d3030528be74fe6250ef2cb21630 clock-gettime-musl-fix.patch"
From 4a5e48d848b219e4451a7f2a971c1f8e846a9bb6 Mon Sep 17 00:00:00 2001
From: Kovid Goyal <kovid@kovidgoyal.net>
Date: Wed, 27 Nov 2019 22:19:12 +0530
Subject: [PATCH] Better fix for getting clock_gettime() from time.h
Fixes #2169
---
setup.py | 5 ++---
1 file changed, 2 insertions(+), 3 deletions(-)
diff --git a/setup.py b/setup.py
index e3109bfc0..45f12183a 100755
--- a/setup.py
+++ b/setup.py
@@ -213,13 +213,12 @@ def init_env(
for el in extra_logging:
cppflags.append('-DDEBUG_{}'.format(el.upper().replace('-', '_')))
# gnu11 is needed to get monotonic.h to build on older Linux distros
- std = 'c' if is_macos or ccver[0] >= 5 else 'gnu'
cflags = os.environ.get(
'OVERRIDE_CFLAGS', (
- '-Wextra {} -Wno-missing-field-initializers -Wall -Wstrict-prototypes -std={}11'
+ '-Wextra {} -Wno-missing-field-initializers -Wall -Wstrict-prototypes -D_POSIX_C_SOURCE=200809L -std=c11'
' -pedantic-errors -Werror {} {} -fwrapv {} {} -pipe {} -fvisibility=hidden'
).format(
- float_conversion, std,
+ float_conversion,
optimize,
' '.join(sanitize_args),
stack_protector,
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment